Retrieve a list of projects
GET
https://api.vercel.com/v10/projectsAllows to retrieve the list of projects of the authenticated user or team. The list will be paginated and the provided query parameters allow filtering the returned projects.
https://api.vercel.com/v10/projects
const response = await fetch('https://api.vercel.com/v10/projects?from=string&gitForkProtection=string&limit=string&search=string&repo=string&repoId=string&repoUrl=string&excludeRepos=string&edgeConfigId=string&edgeConfigTokenId=string&deprecated=true&elasticConcurrencyEnabled=string&staticIpsEnabled=string&buildMachineTypes=string&buildQueueConfiguration=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
[ { "accountId": "example_id", "alias": [ { "configuredBy": "A", "configuredChangedAt": "123", "createdAt": "123", "deployment": { "alias": [], "aliasAssigned": "123", "aliasError": { "code": "string", "message": "string" }, "aliasFinal": "string", "automaticAliases": [], "branchMatcher": { "pattern": "string", "type": "endsWith" }, "buildingAt": "123", "builds": [ { "dest": "string", "src": "string", "use": "string" } ], "checksConclusion": "canceled", "checksState": "completed", "connectBuildsEnabled": "false", "connectConfigurationId": "example_id", "createdAt": "123", "createdIn": "string", "creator": { "email": "user@example.com", "githubLogin": "string", "gitlabLogin": "string", "uid": "example_id", "username": "string" }, "deletedAt": "123", "deploymentHostname": "Example Name", "forced": "false", "id": "icfg_1234567890", "meta": "value", "monorepoManager": "string", "name": "Example Name", "oidcTokenClaims": { "aud": "string", "custom_environment_id": "example_id", "deployment_id": "example_id", "environment": "string", "iss": "string", "mfe_group_ids": [], "owner": "string", "owner_id": "example_id", "plan": "string", "project": "string", "project_id": "example_id", "scope": "string", "sub": "string" }, "plan": "enterprise", "previewCommentsEnabled": "false", "private": "false", "readyAt": "123", "readyState": "BLOCKED", "readySubstate": "PROMOTED", "requestedAt": "123", "target": "string", "teamId": "example_id", "type": "LAMBDAS", "url": "https://example.com", "userId": "example_id", "withCache": "false" }, "domain": "string", "environment": "preview", "gitBranch": "string", "redirect": "string", "redirectStatusCode": "301", "target": "PREVIEW" } ], "analytics": { "canceledAt": "123", "disabledAt": "123", "enabledAt": "123", "id": "icfg_1234567890", "paidAt": "123", "sampleRatePercent": "123", "spendLimitInDollars": "123" }, "appliedCve55182Migration": "false", "autoAssignCustomDomains": "false", "autoAssignCustomDomainsUpdatedBy": "string", "autoExposeSystemEnvs": "false", "buildCommand": "string", "commandForIgnoringBuildStep": "string", "createdAt": "123", "creator": { "type": "user", "via": { "app": { "clientId": "example_id", "id": "icfg_1234567890" }, "type": "app" }, "user": { "id": "icfg_1234567890" } }, "customerSupportCodeVisibility": "false", "deploymentExpiration": { "deploymentsToKeep": "123", "expirationDays": "123", "expirationDaysCanceled": "123", "expirationDaysErrored": "123", "expirationDaysProduction": "123" }, "devCommand": "string", "directoryListing": "false", "env": [ { "comment": "string", "configurationId": "example_id", "contentHint": { "storeId": "example_id", "type": "redis-url" }, "createdAt": "123", "createdBy": "string", "customEnvironmentIds": [], "decrypted": "false", "edgeConfigId": "example_id", "edgeConfigTokenId": "example_id", "gitBranch": "string", "id": "icfg_1234567890", "internalContentHint": { "encryptedValue": "string", "type": "flags-secret" }, "key": "string", "legacyValue": "string", "sunsetSecretId": "example_id", "target": [], "type": "encrypted", "updatedAt": "123", "updatedBy": "string", "value": "string", "visibility": "config", "vsmValue": "string" } ], "framework": "actix-web", "gitComments": { "onCommit": "false", "onPullRequest": "false" }, "gitForkProtection": "false", "gitProviderOptions": { "consolidatedGitCommitStatus": { "enabled": "false", "propagateFailures": "false" }, "createDeployments": "disabled", "disableRepositoryDispatchEvents": "false", "gitCommitStatus": "false", "requireVerifiedCommits": "false" }, "hasActiveBranches": "false", "id": "icfg_1234567890", "installCommand": "string", "internalRoutes": [ { "expiry": "123", "src": "string", "status": "123" } ], "ipBuckets": [ { "bucket": "string", "default": "false", "supportUntil": "123" } ], "latestDeployments": [ { "alias": [], "aliasAssigned": "123", "aliasError": { "code": "string", "message": "string" }, "aliasFinal": "string", "automaticAliases": [], "branchMatcher": { "pattern": "string", "type": "endsWith" }, "buildingAt": "123", "builds": [ { "dest": "string", "src": "string", "use": "string" } ], "checksConclusion": "canceled", "checksState": "completed", "connectBuildsEnabled": "false", "connectConfigurationId": "example_id", "createdAt": "123", "createdIn": "string", "creator": { "email": "user@example.com", "githubLogin": "string", "gitlabLogin": "string", "uid": "example_id", "username": "string" }, "deletedAt": "123", "deploymentHostname": "Example Name", "forced": "false", "id": "icfg_1234567890", "meta": "value", "monorepoManager": "string", "name": "Example Name", "oidcTokenClaims": { "aud": "string", "custom_environment_id": "example_id", "deployment_id": "example_id", "environment": "string", "iss": "string", "mfe_group_ids": [], "owner": "string", "owner_id": "example_id", "plan": "string", "project": "string", "project_id": "example_id", "scope": "string", "sub": "string" }, "plan": "enterprise", "previewCommentsEnabled": "false", "private": "false", "readyAt": "123", "readyState": "BLOCKED", "readySubstate": "PROMOTED", "requestedAt": "123", "target": "string", "teamId": "example_id", "type": "LAMBDAS", "url": "https://example.com", "userId": "example_id", "withCache": "false" } ], "link": { "createdAt": "123", "deployHooks": [ { "createdAt": "123", "id": "icfg_1234567890", "name": "Example Name", "ref": "string", "url": "https://example.com" } ], "gitCredentialId": "example_id", "org": "string", "productionBranch": "string", "repo": "string", "repoId": "123", "repoOwnerId": "123", "sourceless": "false", "type": "github", "updatedAt": "123" }, "live": "false", "name": "Example Name", "nodeVersion": "10.x", "oidcTokenConfig": { "enabled": "false", "issuerMode": "global" }, "outputDirectory": "string", "passport": { "connectorId": "example_id", "deploymentType": "all" }, "passwordProtection": "value", "paused": "false", "resourceConfig": { "buildMachineElasticLastUpdated": "123", "buildMachineElasticReason": "basic-floor", "buildMachineElasticTransition": { "algorithmVersion": "string", "at": "123", "direction": "downgrade" }, "buildMachineSelection": "elastic", "buildMachineType": "basic", "buildQueue": { "configuration": "SKIP_NAMESPACE_QUEUE" }, "elasticConcurrencyEnabled": "false", "enableFunctionsBeta": "false", "fluid": "false", "functionDefaultMemoryType": "performance", "functionDefaultRegions": [], "functionDefaultTimeout": "123", "functionZeroConfigFailover": "false", "isNSNBDisabled": "false" }, "rollingRelease": { "canaryResponseHeader": "false", "gate": { "action": "pause", "checks": [ { "excludePaths": [], "excludeStatusCodes": [], "ingestWatermarkSeconds": "30", "minSampleSize": "100", "type": "error-rate-5xx" } ], "dryRun": "false", "enabled": "false", "failureThreshold": "3", "windowSize": "5" }, "stages": [ { "duration": "600", "linearShift": "false", "requireApproval": "false", "targetPercentage": "25" } ], "target": "production" }, "rootDirectory": "string", "security": { "attackModeActiveUntil": "123", "attackModeEnabled": "false", "attackModeUpdatedAt": "123", "botIdEnabled": "false", "firewallBypassIps": [], "firewallConfigVersion": "123", "firewallEnabled": "false", "firewallRoutes": [ { "dest": "string", "handle": "finalize", "has": [ { "key": "string", "type": "cookie", "value": "string" } ], "missing": [ { "key": "string", "type": "cookie", "value": "string" } ], "mitigate": { "action": "bypass", "erl": { "algo": "fixed_window", "keys": [], "limit": "123", "window": "123" }, "log_headers": [], "rule_id": "example_id", "ttl": "123" }, "src": "string", "status": "123", "tierRequirement": "priority", "transforms": [ { "args": "string", "op": "append", "target": { "key": "string" }, "type": "request.headers" } ] } ], "firewallSeawallEnabled": "false", "firewallUpdatedAt": "123", "ja3Enabled": "false", "ja4Enabled": "false", "log_headers": [], "managedRules": { "ai_bots": { "action": "challenge", "active": "false" }, "bot_filter": { "action": "challenge", "active": "false" }, "owasp": { "action": "challenge", "active": "false" }, "traffic_sources": { "action": "challenge", "active": "false" }, "vercel_ruleset": { "action": "challenge", "active": "false" } }, "pageIntegrityEnabled": "false", "requestLogsKey": [], "rulesets": "value" }, "serverlessFunctionRegion": "string", "serverlessFunctionZeroConfigFailover": "false", "skipGitConnectDuringLink": "false", "sourceFilesOutsideRootDirectory": "false", "speedInsights": { "canceledAt": "123", "dataReceivedAt": "123", "disabledAt": "123", "enabledAt": "123", "hasData": "false", "id": "icfg_1234567890", "paidAt": "123" }, "ssoProtection": { "april2026SecurityIncidentMigrationAppliedFrom": "all", "cve55182MigrationAppliedFrom": "all", "deploymentType": "all" }, "targets": "value", "tier": "priority", "transferCompletedAt": "123", "transferredFromAccountId": "example_id", "transferStartedAt": "123", "transferToAccountId": "example_id", "trustedSources": { "enableVercelCiSameRepository": "false", "oidcProviders": "value", "projects": "value" }, "updatedAt": "123", "webAnalytics": { "canceledAt": "123", "disabledAt": "123", "enabledAt": "123", "hasData": "true", "id": "icfg_1234567890" } }]AuthorizationbearerToken
Default authentication mechanism
Specifies whether PRs from Git forks should require a team member's authorization before it can be deployed
Filter results by effective build machine types. Accepts comma-separated values. Use "elastic" for projects with elastic selection and "default" for projects without a build machine type set.
Filter results by build queue configuration. SKIP_NAMESPACE_QUEUE includes projects without a configuration set.